#!/usr/bin/python3
# -*- coding: utf-8 -*-

# file: constants.py
# date: 26.07.2020
# desc: provides a class with a read only variable (constante). idea found at
# https://stackoverflow.com/questions/2682745/how-do-i-create-a-constant-in-python

# Modul is used to provide hackbots start time. As hackbot starts plugin manager
# import all modules to grab command and description. If uptime is imported
# itself imports constants and creates the starttime.


import time

class Const:
    
    '''
    Class to provide a readonly constant.
    '''

    __slots__ = ()
    birth = time.strftime('%Y-%m-%dT%H:%M:%S', time.gmtime())

